<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:body>
        <ui:composition template="../layout_p.xhtml">
            <ui:define name="titulo">MusicApp | Publicar Leccion</ui:define>
            <ui:define name="encabezado">Publicar Lección</ui:define>
            <ui:define name="subencabezado"></ui:define>
            <ui:define name="contenido">

                <section class="content">
                    <h:form>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="control-label">
                                        Titulo
                                    </label>
                                    <h:inputText value="#{leccionBean.leccion.titulo}" 
                                                 class="form-control"/>
                                </div>    
                            </div>                       
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="control-label">
                                        Tema
                                    </label>
                                    <h:inputText value="#{leccionBean.leccion.tema}" class="form-control"/>
                                </div>    
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="resumen" class="control-label">
                                        Resumen
                                    </label>
                                    <h:inputTextarea value="#{leccionBean.leccion.resumen}" 
                                                     rows="7" cols="75"/>
                                </div>    
                            </div>                           
                            <div class="col-sm-6">
                                <label for="dificultad">Dificultad</label>
                                <h:selectOneMenu value="#{leccionBean.leccion.dificultad}" class="form-control">
                                    <f:selectItem itemValue="1"/>
                                    <f:selectItem itemValue="2"/>
                                    <f:selectItem itemValue="3"/>
                                    <f:selectItem itemValue="4"/>
                                    <f:selectItem itemValue="5"/>                                    
                                </h:selectOneMenu>
                            </div>
                            <div class="col-sm-6">
                                <label for="i">Instrumento</label>
                                <h:selectOneMenu value="#{leccionBean.leccion.instrumento}" class="form-control">
                                    <f:selectItem itemValue="Ninguno"/>
                                    <f:selectItem itemValue="Flauta"/>
                                    <f:selectItem itemValue="Guitarra"/>
                                    <f:selectItem itemValue="Xilófono"/>
                                    <f:selectItem itemValue="Teclado"/>
                                    <f:selectItem itemValue="Percusión"/>
                                </h:selectOneMenu>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div>
                                    <div class="box-header">
                                        <div class="col-md-offset-5">
                                            <h3 class="box-title">Contenido</h3>
                                        </div>                                   
                                    </div>
                                    <!-- /.box-header -->
                                    <div class="box-body pad">
                                        <h:inputTextarea value="#{leccionBean.leccion.contenido}" 
                                                         class="col-md-12" rows="10" cols="80"/>
                                    </div>
                                </div>

                                <div class="box-body">                                   
                                    <div class="form-group">
                                        <label for="imagenes">Anexar Imagenes</label>
                                        <input type="file" name="imagenes" id="imagenes" multiple=""/>
                                    </div>
                                    <div> 
                                        <label for="audio_docs">Anexar Otros Archivos</label>
                                        <input type="file" name="audio_docs" id="audio_docs" multiple=""/>
                                        <p class="help-block">Audio, documentos, etc</p>
                                    </div>
                                </div>
                                <!-- /.box-body -->

                                <div class="box-footer">
                                    <h:commandButton value="Publicar" class="btn btn-primary  btn-flat" 
                                                     action="#{leccionBean.registrarLeccion()}"/>
                                </div>
                            </div>
                            <!-- /.col-->
                        </div>
                        <!-- ./row -->
                    </h:form>
                </section>                
            </ui:define>  
        </ui:composition>
    </h:body> 
</html>